require "con-troll.lua"
require "trolls.lua"
require "trollpics.lua"
require "trollfilter.lua"
require "camera.lua"
require "gui.lua"
require "menu.lua"
require "tilemech.lua"
require "tiles.lua"
require "tilefilter.lua"
require "maps.lua"
require "phy-troll.lua"
require "drawmap.lua"



function love.load()
	
	
	--Animations--
	animtimer = 0
	--          --
	
	--Fonts--
	small = love.graphics.newFont("fonts/arcade.ttf", 24)
	medium = love.graphics.newFont("fonts/arcade.ttf", 35)
	large = love.graphics.newFont("fonts/arcade.ttf", 54)
	
	--Maps--
	map = testing
	TileW = 16
	TileH = 16
	load_map = false
	draw_map()
	--    --


	--Gamestate--
	gamestate = "menu"
	--         --


	--Colors(ooohh)
	love.graphics.setBackgroundColor(120,120,120)
	--           --
	
	--characters--
	chosen = nil
	--          --
	
	--Mech--
	controlls = true
	menu_load = true
	draw_load = false
	grounded = false
	--    --
	
	
	
	--Gui--
	arrowright = true
	highnumb = 1
	arrowleft = true
	choose_update = false
	highname = {"Trey William Johnson","CassemG","Smosch","Soul Ging"}
	highplay = {trey.pic,cassem.pic,ian.pic,ging.pic}
	--   --
	
end
function love.update(dt)
	--Menu--
	if gamestate == "menu" or gamestate == "chooseplayer" then
		mech_menu()
		mech_choose()
	end


	--maps--
	if gamestate == "playing" then
		chosen = highlightedp
		controll_player(dt, chosen)
		apply_grav(dt, chosen)

	end

end
function love.draw()
	camera:set()
	--Menu--
	if gamestate == "menu" or gamestate == "chooseplayer" then
		draw_button()
	end
	if gamestate == "menu" or gamestate == "chooseplayer" then
		camera.scaleY = 1
		camera.scaleX = 1
	end
	if gamestate == "chooseplayer" then
		choose_draw()
	end
	if gamestate == "playing" then
		chosen = highlightedp
		love.graphics.draw(chosen.pic, chosen.x, chosen.y)
	end
	if gamestate == "playing" then
		draw_solid()
	end
	
	
	
	
	
	
	
	
	camera:unset()
end
function love.keyreleased(key)
	if gamestate == "playing" then
		if key == "d" then
			chosen.pic = chosen.R[1]
		end
		if key == "a" then
			chosen.pic = chosen.L[1]
		end
	end
end
function love.mousepressed(x,y)
	for i,v in ipairs(buttons) do
		if x > v.x and
		x < v.x + v.width and
		y > v.y and
		y < v.y + v.height then
			if v.text == "Start" then
				gamestate = "chooseplayer"
			end
			if v.text == "Quit" then
				love.event.push("q")
			end
			if v.text == "select" then
				camera.scaleX = 0.2
				camera.scaleY = 0.2
				camera.x = 0
				camera.y = 0
				chosen.x = 5
				love.graphics.setBackgroundColor(210,233,255)
				gamestate = "playing"
				
				
				
				
			end
		end
	end
end